## org.eclipse.datatools.connectivity
Interface IPropertySetChangeEvent.IChangedProperty

Enclosing interface:
  IPropertySetChangeEvent

    public static interface IPropertySetChangeEvent.IChangedProperty

Used to present changes made to a particular property to the consumer.

Method Summary
`java.lang.String` `getID()`
`java.lang.String` `getNewValue()`
`java.lang.String` `getOldValue()`

Method Detail

### getID

    java.lang.String getID()

  Returns:
    the ID of the property that changed

### getOldValue

    java.lang.String getOldValue()

  Returns:
    the original value of the property; may be null.

### getNewValue

    java.lang.String getNewValue()

  Returns:
    the new value of the property; may be null.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.